## jsquery 1.0.1

=== Makefile ===
# contrib/jsquery/Makefile

MODULE_big = jsquery
OBJS = jsonb_gin_ops.o jsquery_constr.o jsquery_extract.o \
	jsquery_gram.o jsquery_io.o jsquery_op.o jsquery_support.o

EXTENSION = jsquery
DATA = jsquery--1.0.sql
INCLUDES = jsquery.h

REGRESS = jsquery
# We need a UTF8 database
ENCODING = UTF8

EXTRA_CLEAN = y.tab.c y.tab.h \
				jsquery_gram.c jsquery_scan.c jsquery_gram.h

ifdef USE_PGXS
PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/jsquery
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

jsquery_gram.o: jsquery_scan.c

jsquery_gram.c: BISONFLAGS += -d

distprep: jsquery_gram.c jsquery_scan.c

maintainer-clean:
	rm -f jsquery_gram.c jsquery_scan.c jsquery_gram.h

install: installincludes

installincludes:
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(INCLUDES)) '$(DESTDIR)$(includedir_server)/'

=== debian/changelog ===
jsquery (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Oct 2017 22:27:00 +0200

=== debian/control ===
Source: jsquery
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.1
Homepage: https://github.com/postgrespro/jsquery
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/jsquery.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/jsquery.git

Package: postgresql-10-jsquery
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL JSON query language with GIN indexing support
 JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
 such as a simple and effective way to search in nested objects and arrays, and
 more comparison operators with index support. It does this by implementing a
 specialized search syntax, the @@ operator, and the jsquery type for search
 strings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-jsquery

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

=== debian/watch ===
version=4
https://github.com/postgrespro/jsquery/releases .*/ver_(.*).tar.gz

## jsquery 1.1

=== debian/changelog ===
jsquery (1.1-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Mon, 25 Dec 2017 18:03:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  postgresql-server-dev-all (>= 153~),
 Standards-Version: 4.1.1
 Homepage: https://github.com/postgrespro/jsquery
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/jsquery.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/jsquery.git
+Vcs-Browser: https://salsa.debian.org/postgresql/jsquery
+Vcs-Git: https://salsa.debian.org/postgresql/jsquery.git
 
 Package: postgresql-10-jsquery
 Architecture: any

## jsquery 1.1.1~20220627.1429-5~1.gita41aeed.pgdg22.04+1

=== debian/changelog ===
jsquery (1.1.1~20220627.1429-5~1.gita41aeed.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 18:04:35 +0100

jsquery (1.1.1-5) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 18:04:35 +0100

jsquery (1.1.1-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 14:00:43 +0200

jsquery (1.1.1-3) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * DH 13.
  * R³: no.
  * Catch test output variation with bison 3.7.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 23:06:32 +0200

jsquery (1.1.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 10:43:39 +0100

jsquery (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Now really upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 10:06:31 +0200

jsquery (1.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Oct 2018 22:32:14 +0200

## jsquery 1.1.1~20220627.1429-5~1.gita41aeed.pgdg90+1

=== debian/changelog ===
jsquery (1.1.1~20220627.1429-5~1.gita41aeed.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 18:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: jsquery
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  bison,
- debhelper (>= 9),
+ debhelper (>= 10),
  flex,
- postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.1.1
+ postgresql-all (>= 217~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/postgrespro/jsquery
 Vcs-Browser: https://salsa.debian.org/postgresql/jsquery
 Vcs-Git: https://salsa.debian.org/postgresql/jsquery.git
@@ -23,3 +24,42 @@
  specialized search syntax, the @@ operator, and the jsquery type for search
  strings.
 
+Package: postgresql-11-jsquery
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL JSON query language with GIN indexing support
+ JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
+ such as a simple and effective way to search in nested objects and arrays, and
+ more comparison operators with index support. It does this by implementing a
+ specialized search syntax, the @@ operator, and the jsquery type for search
+ strings.
+
+Package: postgresql-12-jsquery
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL JSON query language with GIN indexing support
+ JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
+ such as a simple and effective way to search in nested objects and arrays, and
+ more comparison operators with index support. It does this by implementing a
+ specialized search syntax, the @@ operator, and the jsquery type for search
+ strings.
+
+Package: postgresql-13-jsquery
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL JSON query language with GIN indexing support
+ JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
+ such as a simple and effective way to search in nested objects and arrays, and
+ more comparison operators with index support. It does this by implementing a
+ specialized search syntax, the @@ operator, and the jsquery type for search
+ strings.
+
+Package: postgresql-14-jsquery
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL JSON query language with GIN indexing support
+ JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
+ such as a simple and effective way to search in nested objects and arrays, and
+ more comparison operators with index support. It does this by implementing a
+ specialized search syntax, the @@ operator, and the jsquery type for search
+ strings.

## jsquery 1.1.1~20220627.1429-5~1.gita41aeed.pgdg110+1

=== debian/changelog ===
jsquery (1.1.1~20220627.1429-5~1.gita41aeed.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 18:04:35 +0100

## jsquery 1.1.1~20220627.1429-5~1.gita41aeed.pgdg+1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	jsquery_gram.o jsquery_io.o jsquery_op.o jsquery_support.o
 
 EXTENSION = jsquery
-DATA = jsquery--1.0.sql
+DATA = jsquery--1.1.sql jsquery--1.0--1.1.sql
 INCLUDES = jsquery.h
 
 REGRESS = jsquery
@@ -26,6 +26,10 @@
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
+ifdef USE_ASSERT_CHECKING
+override CFLAGS += -DUSE_ASSERT_CHECKING
+endif
+
 jsquery_gram.o: jsquery_scan.c
 
 jsquery_gram.c: BISONFLAGS += -d
@@ -38,4 +42,5 @@
 install: installincludes
 
 installincludes:
+	$(INSTALL) -d '$(DESTDIR)$(includedir_server)/'
 	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(INCLUDES)) '$(DESTDIR)$(includedir_server)/'

=== debian/changelog ===
jsquery (1.1.1~20220627.1429-5~1.gita41aeed.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 18:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  bison,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  flex,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## jsquery 1.1.1

=== Makefile ===
--- 
+++ 
@@ -42,5 +42,4 @@
 install: installincludes
 
 installincludes:
-	$(INSTALL) -d '$(DESTDIR)$(includedir_server)/'
 	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(INCLUDES)) '$(DESTDIR)$(includedir_server)/'

=== debian/changelog ===
jsquery (1.1.1-6) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * Cherry-pick atoi patch from upstream.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:45:32 +0200

=== debian/control ===
Source: jsquery
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/postgrespro/jsquery
Vcs-Browser: https://salsa.debian.org/postgresql/jsquery
Vcs-Git: https://salsa.debian.org/postgresql/jsquery.git

Package: postgresql-15-jsquery
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL JSON query language with GIN indexing support
 JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
 such as a simple and effective way to search in nested objects and arrays, and
 more comparison operators with index support. It does this by implementing a
 specialized search syntax, the @@ operator, and the jsquery type for search
 strings.

## jsquery 1.2

=== debian/changelog ===
jsquery (1.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117264)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 15:14:25 +0200

jsquery (1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2024 11:35:25 +0200

jsquery (1.2-1) unstable; urgency=medium

  * New upstream version 1.2.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Oct 2023 13:15:58 +0200

jsquery (1.1.1-8) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:18:06 +0200

jsquery (1.1.1-7) unstable; urgency=medium

  * Fix Datum handling on PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 11:35:36 +0200

=== debian/control ===
Source: jsquery
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/postgrespro/jsquery
Vcs-Browser: https://salsa.debian.org/postgresql/jsquery
Vcs-Git: https://salsa.debian.org/postgresql/jsquery.git

Package: postgresql-18-jsquery
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL JSON query language with GIN indexing support
 JsQuery provides additional functionality for the PostgreSQL jsonb datatype,
 such as a simple and effective way to search in nested objects and arrays, and
 more comparison operators with index support. It does this by implementing a
 specialized search syntax, the @@ operator, and the jsquery type for search
 strings.

=== debian/watch ===
version=4
https://github.com/postgrespro/jsquery/tags .*/ver_(.*).tar.gz
